#
# spec file for package health-check
#
# Copyright (c) 2015, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           health-check
Version:        0.02.02
Release:        3.1
Summary:        Process monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/health-check
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(json-c)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Health-check monitors processes and optionally their child
processes and threads for a given amount of time.  At the end
of the monitoring it will display the CPU time used, wakeup
events generated and I/O operations of the given processes.
It can be used to diagnose unhealthy bad processes.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/health-check
%{_mandir}/man8/*

%changelog
* Thu Feb 18 2016 mardnh@gmx.de
- update to version 0.02.02
- upstream does not provide a changelog
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
